Package org.apache.lucene.search

## Class PhraseQuery.PostingsAndFreq

- java.lang.Object
- - org.apache.lucene.search.PhraseQuery.PostingsAndFreq

- All Implemented Interfaces:
    `Comparable<PhraseQuery.PostingsAndFreq>`
  Enclosing class:
    PhraseQuery

      public static class PhraseQuery.PostingsAndFreq
      extends Object
      implements Comparable<PhraseQuery.PostingsAndFreq>

  Term postings and position information for phrase matching
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PostingsAndFreq​(PostingsEnum postings, ImpactsEnum impacts, int position, List<Term> terms)` |
    `PostingsAndFreq​(PostingsEnum postings, ImpactsEnum impacts, int position, Term... terms)` | Creates PostingsAndFreq instance

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(PhraseQuery.PostingsAndFreq other)` |
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PostingsAndFreq

          public PostingsAndFreq​(PostingsEnum postings,
                                 ImpactsEnum impacts,
                                 int position,
                                 Term... terms)

      Creates PostingsAndFreq instance

    - #### PostingsAndFreq

          public PostingsAndFreq​(PostingsEnum postings,
                                 ImpactsEnum impacts,
                                 int position,
                                 List<Term> terms)

  - ### Method Detail

    - #### compareTo

          public int compareTo​(PhraseQuery.PostingsAndFreq other)

      Specified by:
        `compareTo` in interface `Comparable<PhraseQuery.PostingsAndFreq>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`